%define anolis_release 1

Name:                perl-Pod-Usage
Epoch:               4
Version:             2.01
Release:             %{anolis_release}%{?dist}
Summary:             Print a usage message from embedded pod documentation
License:             GPL+ or Artistic-1.0
URL:                 https://metacpan.org/release/Pod-Usage
Source0:             https://cpan.metacpan.org/authors/id/A/AT/ATOOMIC/Pod-Usage-%{version}.tar.gz

BuildArch:           noarch
BuildRequires:       perl make sed coreutils perl-generators perl-interpreter  perl(Config) perl(warnings)
BuildRequires:       perl(Cwd) perl(ExtUtils::MakeMaker) perl(File::Basename) perl(File::Spec) perl(strict)
BuildRequires:       perl(Carp) perl(Config) perl(Exporter) perl-Pod-Perldoc perl(Pod::Text) perl(vars)
#tests
BuildRequires:       perl(blib) perl(FileHandle) perl(Pod::PlainText) perl(Test::More) 
Requires:            perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:            perl(File::Spec) perl-Pod-Perldoc perl(Pod::Text)

%description
Pod2usage will print a usage message for the invoking script (using its embedded pod documentation) 
and then exit the script with the desired exit status. The usage message printed may have any one 
of three levels of "verboseness": If the verbose level is 0, then only a synopsis is printed. If 
the verbose level is 1, then the synopsis is printed along with a description (if present) of the 
command line options and arguments. If the verbose level is 2, then the entire manual page is printed.

%prep
%autosetup -n Pod-Usage-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root)
%doc README Changes
%{_bindir}/pod2usage
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Mar 08 2022 Jacob Wang <yungao.jacob@linux.alibaba.com> - 4:2.01-1
- Initial version from upstream 2.01
